com.tibco.tibjms.admin

## Class SubscriptionInfo

- java.lang.Object
- - com.tibco.tibjms.admin.SubscriptionInfo

-     public class SubscriptionInfo
      extends java.lang.Object

  This class represents a topic subscription in EMS Server.
  Since:
    EMS 8.0
  See Also:
    `TibjmsAdmin.getSubscriptions()`

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getConsumerCount()` Returns the number of consumers for this subscription.
    `long` | `getCreateTime()` Returns this subscription's creation time in milliseconds.
    `long` | `getID()` Returns this subscription's ID.
    `java.lang.String` | `getName()` Returns this subscription name.
    `long` | `getPendingMessageCount()` Returns the number of pending messages on this subscription.
    `long` | `getPendingMessageSize()` Returns combined size of pending messages for this subscription.
    `java.lang.String` | `getSelector()` Returns this subscription's selector or `null`.
    `java.lang.String` | `getTopicName()` Returns the topic name this subscription is for.
    `boolean` | `hasSelector()` Returns `true` if this subscription has a selector.
    `boolean` | `isDurable()` Returns `true` if this subscription is a durable subscription.
    `boolean` | `isShared()` Returns `true` if this subscription is a shared subscription.
    `java.lang.String` | `toString()` Returns string representation of this object.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getID

          public long getID()

      Returns this subscription's ID. All subscriptions have unique positive ID.
      Returns:
        subscription ID.

    - #### getName

          public java.lang.String getName()

      Returns this subscription name. It will be `null` for an unshared non-durable subscription.
      Returns:
        Subscription's name or `null` if this is an unshared non-durable subscription.

    - #### getCreateTime

          public long getCreateTime()

      Returns this subscription's creation time in milliseconds.
      Returns:
        subscription's creation time in milliseconds.

    - #### getTopicName

          public java.lang.String getTopicName()

      Returns the topic name this subscription is for.
      Returns:
        this subscription's topic name.

    - #### getPendingMessageCount

          public long getPendingMessageCount()

      Returns the number of pending messages on this subscription.
      Returns:
        number of pending messages, possibly 0.
      See Also:
        `getPendingMessageSize()`

    - #### getPendingMessageSize

          public long getPendingMessageSize()

      Returns combined size of pending messages for this subscription.
      Returns:
        cumulative size of pending messages, possibly 0.
      See Also:
        `getPendingMessageCount()`

    - #### getConsumerCount

          public int getConsumerCount()

      Returns the number of consumers for this subscription. If the subscription is unshared, the count cannot exceed 1. If the subscription is shared, the count can exceed 1, since a shared subscription can have many shared consumers.
      For durable subscriptions (shared and unshared), this count can be 0 if there is no active durable consumer.
      Returns:
        number of consumers on this subscription, possibly 0.
      See Also:
        `isDurable()`, `isShared()`

    - #### hasSelector

          public boolean hasSelector()

      Returns `true` if this subscription has a selector.
      Returns:
        `true` if this subscription has a selector.
      See Also:
        `getSelector()`

    - #### getSelector

          public java.lang.String getSelector()

      Returns this subscription's selector or `null`.
      Returns:
        subscription's selector or `null` if this subscription has no selector.

    - #### isShared

          public boolean isShared()

      Returns `true` if this subscription is a shared subscription.
      Returns:
        `true` if this subscription is a shared subscription.

    - #### isDurable

          public boolean isDurable()

      Returns `true` if this subscription is a durable subscription.
      Returns:
        `true` if this subscription is a durable subscription.

    - #### toString

          public java.lang.String toString()

      Returns string representation of this object.
      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Cloud Software Group, Inc. All rights reserved